@rem *********************************************************************
@rem Copyright (c) 2005 IBM Corporation and others.
@rem All rights reserved.   This program and the accompanying materials
@rem are made available under the terms of the Eclipse Public License v1.0
@rem which accompanies this distribution, and is available at
@rem http://www.eclipse.org/legal/epl-v10.html
@rem $Id: runregex_example.bat,v 1.3 2005/08/18 17:22:57 dnsmith Exp $
@rem
@rem Contributors: 
@rem IBM - Initial API and implementation
@rem *********************************************************************
@rem
@rem USAGE:  runregex_example.bat
@rem PURPOSE:  Illustrates the functional capabilities of the Generic Log Adapter (GLA)
@rem           run-time using an example adapter file and sample log file.
@rem ASSUMPTIONS:  This batch file assumes the GLA run-time and required files are
@rem               stored in the following directory structure:
@rem      %GLA_HOME%\bin    - GLA base batch files
@rem      %GLA_HOME%\config - GLA adapter configuration files
@rem      %GLA_HOME%\lib    - GLA run-time and required jars
@rem      %GLA_HOME%\schema - GLA adapter configuration schema files
@rem INSTRUCTIONS:
@rem     If the GLA run-time and required files are stored as indicated in the
@rem         assumptions section above, change the value of the GLA_HOME
@rem         environment variable to the absolute path where the GLA run-time
@rem         and required files are stored.  This batch file executes the
@rem         base batch file %GLA_HOME%\bin\gla.bat.  Open the base batch
@rem         file %GLA_HOME%\bin\gla.bat in an editor and follow the
@rem         instructions in that file.
@rem     If the GLA run-time files are stored in a plug-in (e.g. Eclipse)
@rem         environment, perform the following instructions:
@rem        1) Open the base batch file scripts\gla.bat located in the
@rem           org.eclipse.hyades.logging.adapter plugin directory in an editor
@rem           and follow the instructions in that file.
@rem        2) Change the value of the GLA_HOME environment variable below to the
@rem           absolute path of the new directory created as a result of step 1)
@rem

SET GLA_HOME=d:\GenericLogAdapter

PUSHD %GLA_HOME%\config\Apache\access\v1.3.26

"%GLA_HOME%"\bin\gla.bat regex_example.adapter

POPD
